/* ==== equip.h ==== */
/* START BOILERPLATE
   (=== a copyright notice to include everywhere, now by "boil.pl" ===)
   Part of the source of the program "Porrog", a roguelike game.
   Copyright (C) 2002-2004  Tom Barnes-Lawrence
   Current web address: www.angelfire.com/super2/duologue/software/porrog.html
   Current email address: tomble@usermail.com

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-- END BOILERPLATE */

/* include "player_t.h" before this */

/* Try to equip a weapon (either hand-to-hand or ranged)...
  HUH? That must be from older writings. No, this takes an
  item and works out what sort of equipment slots it would
  use. */
equipspace_t classify_equipspace(item_t *item);

/* Returns 1 if item has been equipped. Useful for testing if
 you can drop an item, etc. Think it's reliable.  */
int p_has_equipped(item_t *item);

/* Was p_wield(weapon), is now a generic p_equip(item).
Will equip any equippable item if there isn't already an
item equipped there. If space is RING1, will consider RING2
as well.
 But now, don't the calling functions do this themselves? */
void p_equip(item_t *item);

/* Was to be called by p_unwear or p_unwield.
  Don't think this gets used any more? */
void p_unequip(item_t *item);
