/* ==== graphics.h ==== */
/* haha, fooled you. It's not really graphics, still ASCII. */
/* START BOILERPLATE
   (=== a copyright notice to include everywhere, now by "boil.pl" ===)
   Part of the source of the program "Porrog", a roguelike game.
   Copyright (C) 2002-2004  Tom Barnes-Lawrence
   Current web address: www.angelfire.com/super2/duologue/software/porrog.html
   Current email address: tomble@usermail.com

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-- END BOILERPLATE */

/* loads given PBM file from the screens/ directory, places into
a buffer in memory. A simple function. */
void loadPBMFile(char *filename);

/* renders the bitmap stored in a global buffer onto the screen in
lineart style ASCII-art */
void displayBitmap();

/* creates the mapping array needed for vectorizing the bitmaps. Call
once at the beginning of the program.
NB: This could be simply done by writing a string constant into a
header file (eg-here) during the build process, but that's less easy
to work with whilst debugging it. */
void graphicsPrepareMapping();

