/* ==== potions.h ==== */
/* some potion initalisation functions, plus the functions used in the
potion's function pointers */
/* START BOILERPLATE
   (=== a copyright notice to include everywhere, now by "boil.pl" ===)
   Part of the source of the program "Porrog", a roguelike game.
   Copyright (C) 2002-2004  Tom Barnes-Lawrence
   Current web address: www.angelfire.com/super2/duologue/software/porrog.html
   Current email address: tomble@usermail.com

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-- END BOILERPLATE */

void quaff_main();
/* Prompt for a potion to quaff. If potion chosen, call its function
 pointer (with usg field set for quaffing), and change item for bottle? */

void shuffle_potions();
/* used in initialisation. If class-based potion knowledge is set,
it must be done before this function is called. */

void ineffectual_potion_effect(potionuse_t usg,void *tgt);
void water_potion_effect(potionuse_t usg,void *tgt);
void ink_potion_effect(potionuse_t usg,void *tgt);
void magic_potion_effect(potionuse_t usg,void *tgt);
void exp_potion_effect(potionuse_t usg,void *tgt);
void poison_potion_effect(potionuse_t usg,void *tgt);
void poison2_potion_effect(potionuse_t usg,void *tgt);
void healing_potion_effect(potionuse_t usg,void *tgt);
