/* ==== religion.c ==== */
/* functions to do with Porrog's various religions */
/* START BOILERPLATE
   (=== a copyright notice to include everywhere, now by "boil.pl" ===)
   Part of the source of the program "Porrog", a roguelike game.
   Copyright (C) 2002-2004  Tom Barnes-Lawrence
   Current web address: www.angelfire.com/super2/duologue/software/porrog.html
   Current email address: tomble@usermail.com

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-- END BOILERPLATE */


#include <stdlib.h>
#include "porrog_defs.h"
/* protos */
#include "religion_p.h"
#include "crash.h"

char *religion_name(/* char *space,*/deity_t religion)
{
    /*
    if (space==NULL) {
       bugger(REPTYPE_RELIGION,LOGLEVEL_FOOBAR,"tried to write religion info without a space to write into");
       crash(INCONSISTENT);
    }
    */
    switch(religion) {
       case PGOD_ENPITSU:
          return("Enpitsu"); 
       case PGOD_EB:
          return("Electric Boogaloo"); 
       case PGOD_GRUBBLE:
          return("Grubble"); 
       case PGOD_URANUS:
          return("Uranus"); 
       case PGOD_PUTPUT:
          return("PutPut"); 
       case PGOD_NAPKIN:
          return("Napkin"); 
       case PGOD_KECKS:
          return("Kecks"); 
       case PGOD_SWUUJ:
          return("Swuuj"); 
       case PGOD_K:
          return("'K"); 
       case PGOD_TINSEL:
          return("Tinsel"); 
       case PGOD_HAPPYDUDE:
          return("Happydude"); 
       case PGOD_TVB:
          return("The Venerable Bauble"); 
       case PGOD_ATHEIST:
          return("atheism"); /* should that be atheist for adjective? */
       case PGOD_SECULAR:
         return("secular"); /* should that be secularism/secularity? */
    }
    crash(FUNCTION_ERROR);
    return(""); /* um... */
}

/* if religious persuasion "religion" involves worshipping a god, returns 1 */
int hasgod(deity_t religion)
{
    if(religion==PGOD_ATHEIST||religion==PGOD_SECULAR) return(0);
    return(1);
}

