#!/usr/bin/perl -w
# apply boilerplate to source files.
# NOTE: if *changing* the existing boilerplate from a file, you
# do NOT have to remove the old one first, AS LONG AS it lies
# wholly between the BOILERPLATE tags (see later). It will simply
# be replaced automatically.
# Note that if one or the other of the tags are not found in the
# file specified, the script *exits* before doing anything.
# It NEEDS the tags to know where to fit the boilerplate text!

#$file="testboiler.c";
$file=shift(@ARGV);
$tmpfile="TEMPFILE_SHOULD_NOT_EXIST.c";
$insertfile="copyright";

# these lines mark the parts *between which* the boilerplate should
# go.
$startline=`fgrep -n -e "/* START BOILERPLATE" $file`;
$endline =`fgrep -n -e "-- END BOILERPLATE */" $file`;
$count=`cat $file|wc -l`; #AVOID the file name *rolls eyes*
#extract just line number
$startline =~ s/(\d+):.*//;
$startline=$1; #not a great way to do it...
if(!defined $startline) {
   print "Can't find start tag in this file! Giving up.\n";
   exit;
}
if($endline =~ m/(\d+):.*/ ) {
  $endline=$1;
} else {
#if(!defined $endline) {
   print "Can't find end tag in this file! Giving up.\n";
   exit;
}
$lastlines=($count+1)-$endline;

print "Start: $startline End: $endline\n";

system("head -n $startline $file >$tmpfile");
system("cat $insertfile >>$tmpfile");
system("tail -n $lastlines $file >>$tmpfile");
system("touch -r $file $tmpfile"); #give it times of existing file!
rename $tmpfile, $file; #replace old file

