/* ==== m_init.c ==== */
/* Creates some monster types */
/* START BOILERPLATE
   (=== a copyright notice to include everywhere, now by "boil.pl" ===)
   Part of the source of the program "Porrog", a roguelike game.
   Copyright (C) 2002-2004  Tom Barnes-Lawrence
   Current web address: www.angelfire.com/super2/duologue/software/porrog.html
   Current email address: tomble@usermail.com

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-- END BOILERPLATE */


#include "porrog_defs.h"
#include "C-foogrid.h"
#include "item_t.h"
#include "structures.h"
#include "mapgen_types.h"
#include "monster.h"

#define NEW_MONSTER(lvl,chr,name,col,st,dx,ag,co) mt=push_mtype(chr,name,col),mt->BaseLevel=lvl,mt->Stat_max.Str=st,mt->Stat_max.Dex=dx,mt->Stat_max.Agi=ag,mt->Stat_max.Con=co

void m_init()
{
    mobtype_t *mt;
    /* L0 */
    NEW_MONSTER(0,'i',"land plankton",PCOL_DWHITE,40,150,50,5);
    /* L1 */
    NEW_MONSTER(1,'a',"auk",PCOL_BROWN,80,90,40,30);
    /* L2 */
    NEW_MONSTER(2,'g',"gerbil",PCOL_DBLUE,95,70,35,75);
    NEW_MONSTER(2,'s',"sprite",PCOL_PINK,25,190,80,70); /* bcyan? */
    /* L3 */
    NEW_MONSTER(3,'v',"carrot monster",PCOL_BROWN,110,60,55,100); /* green??*/
    NEW_MONSTER(3,'w',"witch",PCOL_GREY,45,165,50,80);
    /* L5 */
    NEW_MONSTER(5,'h',"hammoth",PCOL_BROWN,240,45,65,190);/*shrug*/
    /* L7 */
    NEW_MONSTER(7,'c',"vampire crab",PCOL_YELLOW,80,130,20,75);
}
